Subject: bug#13151: 24.2; tramp with ido: enters self-killing loop when opening /ftp: and hitting enter.

From: Michael Albinus <[email-masked]>
Date: Thu, 13 Dec 2012 22:12:45 +0100

Arne Babenhauserheide <[email-masked]> writes:

> I think I just found one:
>
> The error I got was:
>
>
> \ Opening connection for arne@ftp using ssh
> Tramp: Opening connection for arne@ftp using ssh...done
> byte-code: Process died
>
>
> Is it possible to adapt that error message so it states:
>
>
> \ Opening connection for arne@ftp using ssh
> Tramp: Opening connection for arne@ftp using ssh...done
> byte-code: Process died. If this happens repeatedly, try 
>
>     `M-x tramp-cleanup-this-connection`

I will try it. It breaks Tramp's philosophy not to comment on errors
reported by the system. There are so many different reasons a connection
could cause trouble, that in general the original messages are better
than Tramp trying to explain. And it is not always recommended to
cleanup a connection.

> That would allow newbies to get out of the loop without killing the buffer.

I see your point. Likely, I'm not a Tramp newbie ...

> Best wishes,
> Arne

Best regards, Michael.